<template>
  <FlexView 
    v-bind="($props as any)"
    direction="column"
    @click="emit('click', $event)"
  >
    <slot />
  </FlexView>
</template>

<script setup lang="ts">
/**
 * 组件说明：Flex垂直布局，为对FlexView的封装，用法一致。
 */
import FlexView from './FlexView.vue';
import type { FlexProps } from './FlexView.vue';

const emit = defineEmits([ 'click' ])
defineProps<FlexProps>();
defineOptions({
  options: {
    virtualHost: true
  }
})
</script>